Last Comment Bug 780612 - Add a "graylist" of characters to Pymake
: Add a "graylist" of characters to Pymake
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla17
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
: Gregory Szorc [:gps]
Mentors:
: 783936 (view as bug list)
Depends on:
Blocks: 585011
  Show dependency treegraph
 
Reported: 2012-08-06 07:24 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2012-08-23 07:00 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (3.69 KB, patch)
2012-08-06 07:24 PDT, Siddharth Agarwal [:sid0] (inactive)
khuey: review+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2012-08-06 07:24:22 PDT
Created attachment 649267 [details] [diff] [review]
patch v1

Pymake errors out on native command lines like $(TOUCH) "(foo)" and %cl ... -I"C:/Program Files (x86)/..." when it shouldn't. Since I have no interest in writing a full-fledged shell parser, this is the solution I came up with instead.
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2012-08-07 12:23:44 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/d52cc7128720
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2012-08-07 12:27:45 PDT
Committed to the pymake repository as well:
http://hg.mozilla.org/users/bsmedberg_mozilla.com/pymake/rev/7d221562bc4a
Comment 3 Ed Morley [:emorley] 2012-08-08 09:34:15 PDT
https://hg.mozilla.org/mozilla-central/rev/d52cc7128720
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2012-08-23 07:00:05 PDT
*** Bug 783936 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.